Ubuntu

Laptop only remains DPMS off for 2 seconds

Reported by Travis Whitaker on 2009-10-10
168
This bug affects 30 people
Affects Status Importance Assigned to Milestone
GNOME Screensaver
New
Undecided
Unassigned
gnome-power
Expired
Medium
gnome-power-manager (Ubuntu)
Medium
Unassigned
Nominated for Karmic by Travis Whitaker

Bug Description

Binary package hint: gnome-power-manager

Hi,

I'm using fully updated karmic beta amd64 on a Dell Inspiron 1520 with gnome-power-manager 2.28.0 on linux kernel 2.6.31-13-generic. I have it set in System>Preferences>Power Manager to always blank the laptop display when the lid is closed. The respective gconf key is set to always use DPMS off mode to blank the screen and turn off the backlight. However, the display only stays of for 2-3 seconds, then comes back on.

I have observed that if I suspend or hibernate, after waking the display behaves normally. If I kill gnome-power-manager, the display behaves normally. [xset force dpms off] blanks the display normally.

The display behaved normally under Ubuntu 9.04.

Here is lshal -m although, I am not sure this is still relevant due to devicekit. . . This is the lid being closed, waiting for the display to incorrectly come back on, then opening the display:

Start monitoring devicelist:
-------------------------------------------------
22:12:20.666: computer_logicaldev_input condition ButtonPressed = switch-videomode
22:12:20.668: computer_logicaldev_input_5 property button.state.value = true
22:12:20.669: computer_logicaldev_input_5 condition ButtonPressed = lid
22:12:21.551: platform_i8042_i8042_KBD_port_logicaldev_input condition ButtonPressed = switch-videomode
22:12:24.015: computer_power_supply_battery_BAT0 property battery.voltage.current = 12606 (0x313e)
22:12:24.280: computer_logicaldev_input condition ButtonPressed = switch-videomode
22:12:24.283: computer_logicaldev_input_5 property button.state.value = false
22:12:24.289: computer_logicaldev_input_5 condition ButtonPressed = lid
22:12:24.945: platform_i8042_i8042_KBD_port_logicaldev_input condition ButtonPressed = switch-videomode

Here is lshal -m with gnome-power-manager killed and X correctly handling the blanking:

Start monitoring devicelist:
-------------------------------------------------
22:13:27.328: computer_logicaldev_input condition ButtonPressed = switch-videomode
22:13:27.335: computer_logicaldev_input_5 property button.state.value = true
22:13:27.337: computer_logicaldev_input_5 condition ButtonPressed = lid
22:13:27.965: platform_i8042_i8042_KBD_port_logicaldev_input condition ButtonPressed = switch-videomode
22:13:31.132: computer_logicaldev_input condition ButtonPressed = switch-videomode
22:13:31.144: computer_logicaldev_input_5 property button.state.value = false
22:13:31.145: computer_logicaldev_input_5 condition ButtonPressed = lid
22:13:31.791: platform_i8042_i8042_KBD_port_logicaldev_input condition ButtonPressed = switch-videomode

There is no difference I can see, so I would think that this further proves that the problem is with gnome-power-manager.

If there is anything else I can do/test/post/try, please let me know.

Thanks!

ProblemType: Bug
Architecture: amd64
Date: Fri Oct 9 21:59:31 2009
DistroRelease: Ubuntu 9.10
Package: gnome-power-manager 2.28.0-0ubuntu3
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-13.43-generic
SourcePackage: gnome-power-manager
Uname: Linux 2.6.31-13-generic x86_64

Travis Whitaker (pi-boy-travis) wrote :
Travis Whitaker (pi-boy-travis) wrote :

Karmic beta livecd properly blanks the display, both i386 and amd64. The livecd is using the same version of gnome-power-manager, so either the problem is with another package, or there is a problem with my system. I have been updating this system since alpha1, and package managers can make mistakes. . .

Travis Whitaker (pi-boy-travis) wrote :

Present in i386 final release

DGMcCloud (duncan-doyle) wrote :

I have the same problem on my Dell D820. "xset dpms force off" shuts down the backlight, but it comes back on after a couple of seconds. This has been reported on the forums as well: http://ubuntuforums.org/showthread.php?p=8337312#post8337312

Same bug is found here: http://superuser.com/questions/66918/suspend-screen-command-in-ubuntu-9-10-gnome

And a bug has been issued on Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=552506 .

Alex Cabal (acabal) wrote :

This happens to me too. I've written up a short script to work around this bug. The script behavior isn't ideal (you have to run it again to turn the screen back on), but maybe some of you might find it helpful until this bug gets fixed:
http://alexcabal.com/turn-your-laptop-screen-off-with-a-keyboard-shortcut-in-ubuntu-karmic/

Thank you for taking the time to report this bug and helping to make Ubuntu better. The issue that you reported is one that should be reproducible with the live environment of the Desktop CD of the development release - Lucid Lynx. It would help us greatly if you could test with it so we can work on getting it fixed in the next release of Ubuntu. You can find out more about the development release at http://www.ubuntu.com/testing/. Thanks again and we appreciate your help.

summary: - Karmic Beta: Laptop only remains DPMS off for 2 seconds
+ [Karmic] Laptop only remains DPMS off for 2 seconds
Changed in gnome-power-manager (Ubuntu):
status: New → Incomplete
Alex Cabal (acabal) wrote :

If you read bug #501018, which is marked as a duplicate of this one, the author says the bug still exists in Lucid Beta.

Thanks for reporting this bug and any supporting documentation. Since this bug has enough information provided for a developer to begin work, I'm going to mark it as confirmed and let them handle it from here. Thanks for taking the time to make Ubuntu better!

summary: - [Karmic] Laptop only remains DPMS off for 2 seconds
+ [Lucid] Laptop only remains DPMS off for 2 seconds
Changed in gnome-power-manager (Ubuntu):
importance: Undecided → Medium
status: Incomplete → Triaged
Roy Jamison (xteejx) wrote :

This bug has been reported to the developers of the software. You can track it and make comments at: https://bugzilla.gnome.org/show_bug.cgi?id=607102

Andaril (andaril) wrote :

Actually for me it works well some times.

Roy Jamison (xteejx) wrote :

From GNOME bug report:

" Richard Hughes [gnome-power-manager developer] 2010-01-20 14:44:45 UTC

What does "devkit-power --dump" say? What version of DeviceKit-power are you
using?"

Note: If this affects you, I would suggest subscribing to the GNOME bug report. I will try to CC each of you in to this, failing that, have a look at it every couple of days, as I might not be able to keep copying and pasting from one bug report to the other.
Also, if you subscribe to it, you will be notified immediately of any changes, i.e. if they need more info, etc. It would definitely help push this bug through to getting fixed, which is what we want for you :)

Roy Jamison (xteejx) wrote :

I cannot subscribe you manually, you will need to do this with a GNOME Bugzilla account. Please sign up for one, and provide the information requested on the GNOME bug report https://bugzilla.gnome.org/show_bug.cgi?id=607102 Thank you.

aidave (aidave) wrote :

Thanks Alex Cabal for the fix script. Works for me, but still want the old behavior back!

Jingguo Yao (yaojingguo) wrote :

I also have this issue with Thinkpad T60P.

Same issue on HP Pavilion tx2640er (Lucid) and Apple iMac (Karmic).

I. K. A. (ikartur) wrote :

The same problem is on Dell 1520 (Intel GMA), latest Lucid, amd64.
Those "workaround" scripts are bad jokes. Triggering DPMS-off in an infinite loop (until you press CTRL-C) does not solves the problem.

Nikil Mehta (nikil.mehta) wrote :

1. This problem still exists.

2. It appears that the origin of the problem is gnome-screensaver. By either inhibiting the screensaver (gnome-screensaver -i) or outright removing the gnome-screensaver package, this problem goes away. Why that is, I have no idea. Monitoring dbus after issuing 'xset dpms force off', a couple of screensaver related messages pop up:

method call sender=:1.10 -> dest=org.gnome.ScreenSaver serial=3223 path=/; interface=org.gnome.ScreenSaver; member=UnThrottle
   uint32 2035929630

and

method call sender=:1.10 -> dest=org.gnome.ScreenSaver serial=3300 path=/; interface=org.gnome.ScreenSaver; member=Throttle
   string "Power screensaver"
   string "Display DPMS activated"

Because the monitor is off I can't tell exactly when the messages arrive (and thus which message correlates to the backlight coming back on), but I would bet one of these points the way to the source of the problem. The documentation for Throttle/UnThrottle isn't exactly clear, but I would think a developer might be able to track down the issue, if they were so motivated.

Daniel Castro (castromd) wrote :

Right so not much has been done on the bugzilla report for what I can see... anyone figured out a workaround? Other than a script that loops...

Thanks!

Changed in gnome-power:
status: Unknown → New
Nikil Mehta (nikil.mehta) wrote :

I wrote a cheesy python script that appears to work without looping. It's at http://ubuntuforums.org/showpost.php?p=9433671&postcount=24

Tsu Jan (tsujan2000) wrote :

Nikil's python script doesn't work here; perhaps using "gnome-screensaver-command -i" isn't the solution. Running "xset dpms force off" with a 2-second delay in an infinite loop is the only way that works for me.

Changed in gnome-power:
importance: Unknown → Medium
Tsu Jan (tsujan2000) wrote :

I disabled Gnome screensaver and power manager and returned to xset. Now all media players can automatically disable screensaver when playing videos. In fact, this bug was useful to me;)

João Gomes (jvpgomes) wrote :

I don't think the problem here is the screensaver.

This problem started after GPM stopped using HAL.
Since then, I've been trying to understand how to avoid this. I read many opinions. I also tried disabling gnome screensaver. But, nothing solved the problem.
So, I just gave up.
I removed GPM and started using Xfce power manager. It still uses HAL and it works perfectly.

Every new Ubuntu version, I try again the GPM. However the problem remains.
Maybe because it seems that is not being addressed. I guess the biggest reason for that is that it is difficult to reproduce the problem. Sometimes it works and others it doesn't. I just can't find out what is the pattern...

By the way, when I run the GPM in verbose mode and this problem is occurring, i can see the following message:
"lid is closed, so we are ignoring ->NORMAL state changes"

But, the lid is not closed. Is this normal?
Does it has anything to do with this problem?

João Gomes (jvpgomes) wrote :

I noticed know that maybe my previous comment concerns a different problem.
The problem I was referring to is the following:
https://bugs.launchpad.net/ubuntu/+source/gnome-power-manager/+bug/431146

If it is not the same, please feel free to remove my previous comment.
Sorry for the confusion.

João Gomes (jvpgomes) wrote :

I think (but I'm not an expert on this) that the situation that I reported may be related with this bug:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/376793

Though it isn't the same problem, it seems to be the same cause.

noddeat (noddeat) wrote :

I confirm this bug for Ubuntu 10.04 Lucid, laptop HP NX7300 with Intel video card. When I kill gnome-power-manager, it seems to work.

So, should I just replace gnome-power-manager by xfce-power-manager?

Ivan Razumov (iarspider) wrote :

Confirmed in Ubuntu 10.10, laptop Dell XPS 1530 with nVidia video card.

Paddy Launch (paddylaunch) wrote :

A quick workaround that I use in Lucid when I want to leave my laptop running overnight but want the screen off "immediately":

1. Click power management applet and select Preferences
2. Select Put display to sleep when inactive for: 1 minute
3. Wait 1 minute.
4. Activate the screen again as normal, the power management applet is still up - reset the "Put display to sleep when inactive" value to whatever it is normally and click Close.

papukaija (papukaija) on 2011-06-16
summary: - [Lucid] Laptop only remains DPMS off for 2 seconds
+ Laptop only remains DPMS off for 2 seconds
tags: added: karmic lucid maverick
removed: dell dpms gnome-power-manager inspiron off seconds
Steve Church (creepy) wrote :

I've been having a similar issue in Debian Squeeze on my desktop PC. I think I just found a workaround not involving looping "xset dpms force off" every 2 seconds. I also think it's a problem with xorg; or perhaps more likely in my case, a problem between my chair and keyboard.

I have an older NVidia video chipset and run the 173xx legacy non-free driver. I have a Wacom Graphire tablet for a pointing device. I installed Debian Squeeze without a GUI, then installed Xfce. I do not have gnome-power-manager installed. Executing "xset dpms force off" has been resulting in my monitor going into standby for a couple of seconds, then turning itself back on -- even if I take the mouse off the tablet and set it harmlessly aside.

I worked around it by commenting out some unnecessary things in xorg.conf. Now executing "xset dpms force off" successfully puts my monitor into standby, as does Xscreensaver.

To do this, I commented out the Screen line in Section "ServerLayout", as well as Section "Screen" and Section "Monitor" in their entirety. Apparently xorg detects its running environment better at runtime than it did with X -configure. If I didn't have this Wacom tablet, I'm sure I'd be fine with just the Section "Module" and Section "Device" sections, and nothing else. If I didn't care about glx either, I wouldn't need an xorg.conf at all.

For what it's worth, when I first installed Squeeze, I had two video cards. My second was an old Riva128. Try as I might for several hours, I could get neither TwinView nor Xinerama to pick up my second display with any combination of drivers, so I eventually just yanked the ancient thrift store card. Now here's the interesting part: I just realized that my Screen line in section "ServerLayout" was (I'm guessing) still written as though Screen0 were one of a pair of displays. It has read as follows:

        Screen 0 "Screen0" 0 0

This leads me to ask, could it be that this 2-second dpms problem is affecting machines with un- or mis-configured multiple displays? Laptops have an external display as well as the built-in screen, after all. I didn't bother Googling all the brands / models in this thread, but it seems to me that at least the majority are laptops. Therefore, they probably all have a secondary display.

This suggests that a better workaround for some people might be to disable the VGA port in the laptop's BIOS and / or trimming some fat in xorg.conf. I'll leave the research for my hypothesis to anyone who is still having the problem.

Changed in gnome-power:
status: New → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.